How Can We Help?

Does SoftRAID work with M1 computers?

SoftRAID 6 supports for M1 Macs. You will need to be running macOS 11.3 or later.

close
open